Error while starting webrick server


#1

I am getting the following error while booting webrick,
I am a newbie not getting what needs to be done.

Can any Expert help on this?

Sachin

F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:328:in
send': undefined methodsession=’ for ActionController::Base:Class
(NoMethodError)
from
F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:328:in
initialize_framework_settings' from F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:327:ineach’
from
F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:327:in
initialize_framework_settings' from F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:324:ineach’
from
F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:324:in
initialize_framework_settings' from F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:96:inprocess’
from
F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:43:in
send' from F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:43:inrun’
… 12 levels…
from
F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/commands/server.rb:39
from
F:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
gem_original_require' from F:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from script/server:3


#2

What command are you using to start Webrick? I assume that you’re
running
script/server from within the top-level directory of your Rails app, but
I
thought I’d ask to be sure.

Regards,
Craig


#3

Craig D. wrote:

What command are you using to start Webrick? I assume that you’re
running
script/server from within the top-level directory of your Rails app, but
I
thought I’d ask to be sure.

Regards,
Craig

Yes I am using the following command
ruby script/server
is it some sort of setup issue, because i developed a project in an
environment
then in the mean the development environment got upgraded, when i tried
running the older project it shown some errors. now i have again
downgraded the environment.

Help Appreciated.
Thanks in advance
Sachin


#4

How you use store sessions (in AR or in cookie)? If you’re using
database check that tables was created for this environment.

I think that your problem come from it.

Sachin J. escribió:

    from

`each’
F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:43:in
from script/server:3


Rafael Garcia Ortega


#5

If your projects depend on the gems installed, I can see how changes in
the
environment would cause problems. For the project in question, what is
RAILS_GEM_VERSION set to in your config/environment.rb file? What rails
gem
versions are installed on your machine?

Regards,
Craig


#6

Rafael García wrote:

How you use store sessions (in AR or in cookie)? If you’re using
database check that tables was created for this environment.

I think that your problem come from it.

Sachin J. escribió:

    from

`each’
F:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:43:in
from script/server:3


Rafael Garcia Ortega

Hello everybody thanks for guidelines you provided, I re-created a fresh
rails project and copied the app folder in to it…

and now it seems to be resolved, it is giving few errors when the gems
related function are called. and after installing gem it is running ok.

Cheers
Sachin